xcode运行高德Amap(V2.0.6)官方Demo(library not found for -lMAMapKit错误解决)

今天遇到一朋友求助说,Amap最新版的API,运行官方demo报错:library not found for -lMAMapKit库找不到,我还沿用着1.4的API呢,于是在官网下载最新的2D/3D API跑一下demo,以下是遇到的一些问题,希望能给新来的同学一些引导。

开发环境:Xcode4.6(4.5以上大致都一样) 模拟器:5.0X以上(以下的没测试)

Amap版本:v2.0.2 下载地址:http://api.amap.com/Ios/download

1,下载AMap_iOS_API_Demo_V2.0.2.zip 解压后,打开release文件夹,有一个2Ddemo和一个3Ddemo,我们暂且打开2D的demo吧。

阅读全文